org.apache.ignite.ml.preprocessing.encoding

## Enum EncoderSortingStrategy

- java.lang.Object
- - java.lang.Enum<EncoderSortingStrategy>
  - - org.apache.ignite.ml.preprocessing.encoding.EncoderSortingStrategy

- All Implemented Interfaces:
    Serializable, Comparable<EncoderSortingStrategy>

      public enum EncoderSortingStrategy
      extends Enum<EncoderSortingStrategy>

  Describes Encoder sorting strategy to define mapping of integer values to values of categorical feature .
  See Also:
    `EncoderTrainer`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FREQUENCY_ASC` Ascending order by label frequency (least frequent label assigned 0).
    `FREQUENCY_DESC` Descending order by label frequency (most frequent label assigned 0).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncoderSortingStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EncoderSortingStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FREQUENCY_DESC

          public static final EncoderSortingStrategy FREQUENCY_DESC

      Descending order by label frequency (most frequent label assigned 0).

    - #### FREQUENCY_ASC

          public static final EncoderSortingStrategy FREQUENCY_ASC

      Ascending order by label frequency (least frequent label assigned 0).

  - ### Method Detail

    - #### values

          public static EncoderSortingStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncoderSortingStrategy c : EncoderSortingStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncoderSortingStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022